<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
    <link rel="stylesheet" href="css/estilo1.css.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
include('AL10500_CL.php');
	$varible_clase = new clase();
	$varible_clase->nparte1=strtoupper($_POST["tap1"]);
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
	$varible_clase->ubicacion=strtoupper($_POST["tap3"]);
	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($_POST["fic_tec"]));
	$varible_clase->nparte1=strtoupper($_POST["codigo"]);
	$varible_clase->calle=strtoupper($_POST["calle"]);
	$varible_clase->pais=strtoupper($_POST["pais"]);
	$varible_clase->estado=strtoupper($_POST["estado"]);
	$varible_clase->postal=strtoupper($_POST["postal"]);
	$varible_clase->colonia=strtoupper($_POST["colonia"]);
	$varible_clase->delegacion=strtoupper($_POST["delegacion"]);
	$varible_clase->tel1=strtoupper($_POST["tel1"]);
	$varible_clase->tel2=strtoupper($_POST["tel2"]);
	$varible_clase->fax=strtoupper($_POST["fax"]);
	$varible_clase->curp=strtoupper($_POST["curp"]);
	$varible_clase->web=strtoupper($_POST["web"]);
	$varible_clase->mail=strtoupper($_POST["mail"]);
	$varible_clase->rfc=strtoupper($_POST["rfc"]);
	$varible_clase->contacto=strtoupper($_POST["contacto"]);
	$varible_clase->proveedor=strtoupper($_POST["proveedor"]);
	$varible_clase->dias=strtoupper($_POST["dias"]);
	$varible_clase->numero=strtoupper($_POST["numero"]);
	$varible_clase->t1=strtoupper($_POST["t1"]);
	$varible_clase->t2=strtoupper($_POST["t2"]);
	$varible_clase->t3=strtoupper($_POST["t3"]);
	$varible_clase->t4=strtoupper($_POST["t4"]);
	$varible_clase->t5=strtoupper($_POST["t5"]);
	$varible_clase->t6=strtoupper($_POST["t6"]);
	$varible_clase->t7=strtoupper($_POST["t7"]);
	$varible_clase->t8=strtoupper($_POST["t8"]);
	$varible_clase->t9=strtoupper($_POST["select"]);
	$varible_clase->t10=strtoupper($_POST["t10"]);
	$varible_clase->seccion=strtoupper($_POST["seccion"]);
	$varible_clase->anaquel=strtoupper($_POST["anaquel"]);
	$varible_clase->cubo=strtoupper($_POST["cubo"]);
	$varible_clase->max=strtoupper($_POST["max"]);
	$varible_clase->min=strtoupper($_POST["min"]);
	$varible_clase->por_des=strtoupper($_POST["por_des"]);
	$varible_clase->marca=strtoupper($_POST["marca"]);
	$varible_clase->estante=strtoupper($_POST["estante"]);
	$varible_clase->sub=strtoupper($_POST["sub"]);
	$varible_clase->cos_prom=strtoupper($_POST["cos_prom"]);
	//$varible_clase->curp=strtoupper($_POST["codigo"]);
	
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=AL10500_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id =$varible_clase->nparte1;
		if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/farticulos/NO_'.$ultimo_id . '.JPG')){
        	}
    	} 	 
		echo '<h2>NUEVO PRODUCTO AGREGADO:'.$_POST['tap2'].'</h2>';
		echo '<meta content="1; url=AL10500_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR</h2>';
		echo $res;
		echo '<meta content="10; url=AL10500_PR.php" HTTP-EQUIV="REFRESH">';
	}    
?>
</body>
</html>
